function [f, z] = gaussianPrior(x, imsize, h, weights)
    
    if nargin < 4
        % Use uniform weights for spatially adaptive version of the Huber
        % prior.
        weights = ones(size(x));
    end
    
    % High-pass filtering of input image.
    X = vectorToImage(x, imsize);
    z = imageToVector( imfilter(X, h) );
    
    % Apply L2 loss function.
    f = sum(weights .* (z.^2));